{% extends 'admin/base.html.twig' %}

{% block title %}Hello AdminAdController!{% endblock %}

{% block body %}
<div class="container-fluid">
<h1 class="my-5">gestion des annonces</h1>
<table class="table table-hover">
<thead>
<tr>
<th>id</th>
<th>titre</th>
<th>auteur</th>
<th>reservation</th>
<th>note</th>
<th>actions</th>
</tr></thead>
<tbody>
{%for ad in pagination.data%}
<tr>
<td>{{ad.id}}</td>
<td>{{ad.title}}</td>
<td><img src="../{{ad.author.picture}}" width=20px>{{ad.author.firstName}}</td>
<td>{{ad.bookings | length}}</td>
<td>{{ad.avgRatings}}</td>
<td><a href="{{path('admin_ads_edit',{'id':ad.id})}}" class="btn btn-primary">edit</a>
<a href="{{path('admin_ads_delete',{'id':ad.id})}}" class="btn btn-danger">delete</a>
</td>
</tr>
{%endfor%}
</tbody>
</table>
{{ pagination.display() }}
{% endblock %}
